Docs

Update Preferences

PATCH /notification-preferences

PATCH/notification-preferences

Updates the caller's notification preferences and returns the result. Send only what changes: an email address, channel switches, or per-event-type changes for a channel through assignmentUpdates.

Request Body

FieldTypeRequiredDescription
emailAddressstringOptional
inAppEnabledbooleanOptional
emailEnabledbooleanOptional
pushEnabledbooleanOptional
smsEnabledbooleanOptional
channelTogglesChannelToggle[]Optional
assignmentUpdatesAssignmentUpdate[]Optional

ChannelToggle

FieldTypeDescription
channelstring| null
enabledboolean

AssignmentUpdate

FieldTypeDescription
channelstring| null
eventTypestring| null
enabledboolean

Response

FieldTypeDescription
userIduuid
inAppEnabledboolean
emailEnabledboolean
pushEnabledboolean
smsEnabledboolean
emailAddressstring| null
assignmentsstring| null